## i810switch 0.6.5

=== Makefile ===
OBJECTS	= i810switch.o

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

all: i810switch

i810switch: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $(OBJECTS)

install: i810switch
	install -d $(DESTDIR)/usr/bin
	install -d $(DESTDIR)/usr/share/man/man1
	install i810switch i810rotate $(DESTDIR)/usr/bin
	install i810switch.1.gz i810rotate.1.gz $(DESTDIR)/usr/share/man/man1

uninstall:
	rm -f $(DESTDIR)/usr/bin/i810switch
	rm -f $(DESTDIR)/usr/bin/i810rotate
	rm -f $(DESTDIR)/usr/share/man/man1/i810switch.1.gz
	rm -f $(DESTDIR)/usr/share/man/man1/i810rotate.1.gz

clean:
	@rm -f $(OBJECTS) i810switch

=== debian/changelog ===
i810switch (0.6.5-7.1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:23 +0000

i810switch (0.6.5-7.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #670384).
  * Update Standards-Version to 3.9.4 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Update homepage URL in control file and add a note about the
    new location to copyright file.
  * Remove unused file i810switch.c.new. Was not part of the original
    sources. See new patch 10.
  * debian/patches
    - (10): New. Contains in-line changes meant for original sources from
      i810switch.c.new.
    - (15): New. Contains in-line changes meant to original sources:
      Makefile.
    - (20): Rename. Macbook patch was number 01.
  * Lintian fixes
    - copyright-without-copyright-notice; also add authors Antonino Daplas
      and mano.
    - copyright-refers-to-symlink-license.
    - debian-rules-ignores-make-clean-error.
    - menu-item-uses-apps-section.
    - no-homepage-field.
    - unused-override.
  * Use hardened build flags
    http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags

 -- Jari Aalto <jari.aalto@cante.net>  Fri, 03 May 2013 07:47:12 +0300

i810switch (0.6.5-7) unstable; urgency=low

  * Added kfreebsd-amd64 as an architecture for the package. Closes: #494980.

 -- James Bromberger <jeb@debian.org>  Wed, 13 Aug 2008 22:06:33 +0100

i810switch (0.6.5-6) unstable; urgency=low

  * Added missing dependancy on dpatch. Closes: 493444.

 -- James Bromberger <jeb@debian.org>  Tue, 12 Aug 2008 08:50:45 +0100

i810switch (0.6.5-5) unstable; urgency=low

  * Updated to standards version 3.8.0: no changes.
  * Added architecture hurd-i386: Closes #488303.

 -- James Bromberger <jeb@debian.org>  Sat, 26 Jul 2008 16:18:02 +0100

i810switch (0.6.5-4) unstable; urgency=low

  * Apply patch for MacBooks, as unstream is not responding. Thanks
    to Thomas Perl. Closes: #374638.

 -- James Bromberger <jeb@debian.org>  Tue, 19 Jun 2007 13:30:57 +0100

i810switch (0.6.5-3) unstable; urgency=low

  * Added AMD64 to list of supported arches, thanks Julien. Closes: #404039. 
  * Corrected the address of the FSF in the copyright file to fix a Lintian
    warning.
  * Add a Lintian Override file to suppress warnings about the SetUID 
    permissions on /usr/bin/i810switch.
  * Add read permissions to binaries/scripts (but no execute) as per Lintian
    warnings, and section 10.9 of Policy.

 -- James Bromberger <jeb@debian.org>  Thu, 21 Dec 2006 23:03:15 +0000

i810switch (0.6.5-2) unstable; urgency=low

  * Add architecture kfreebsd-i386 Closes: #314267.

 -- James Bromberger <jeb@debian.org>  Wed, 15 Jun 2005 17:09:03 +0100

i810switch (0.6.5-1) unstable; urgency=low

  * New upstream release. Closes: #313197.

 -- James Bromberger <jeb@debian.org>  Sun, 12 Jun 2005 20:34:24 +0100

i810switch (0.6.2-2) unstable; urgency=low

  * Update the upstream ChangeLog for 0.6.2, which upstream accidentally 
    left out. :) All fixed herein...

 -- James Bromberger <jeb@debian.org>  Sun, 15 Feb 2004 23:07:28 +0000

i810switch (0.6.2-1) unstable; urgency=low

  * New upstream release. i845 support is added.

 -- James Bromberger <jeb@debian.org>  Thu, 12 Feb 2004 23:25:31 +0000

i810switch (0.6.1-1) unstable; urgency=low

  * New upstream release. Closes: #221864.

 -- James Bromberger <jeb@debian.org>  Mon,  5 Jan 2004 22:08:09 +0000

i810switch (0.6-1) unstable; urgency=low

  * New upstream release, only it incorporates some changes for bug #221864.
    However, this is currently a compile-time option to support these
    alternate i810 chipsets where the video is on a different Planar output, 
    so not really a 'fix' per se, so not closing this bug yet...

 -- James Bromberger <jeb@debian.org>  Sat, 27 Dec 2003 16:19:26 +0000

i810switch (0.5-2) unstable; urgency=low

  * lspic in pciutils changes location, and I have an absolute path in 
    my diff to ensure that the wrong SUID binary isnt called. So, 
    updated path here. Closes #219259. Thanks Remco for the 
    bug report.

 -- James Bromberger <jeb@debian.org>  Mon, 15 Dec 2003 00:19:55 +0000

i810switch (0.5-1) unstable; urgency=low

  * New upstream release
  * ... which fixes i830 up and adds i855 support. Well done Ken!

 -- James Bromberger <jeb@debian.org>  Sat, 20 Sep 2003 01:22:30 +0100

i810switch (0.4-1) unstable; urgency=low

  * New upstream release
  * Security fix from Steve Kemp. Closes #204183.
  * Fix 'Depends' as well. Thanks again Steve!

 -- James Bromberger <jeb@debian.org>  Wed, 13 Aug 2003 21:13:03 +0100

i810switch (0.3-1) unstable; urgency=low

  * Initial Release. Closes: #197406

 -- James Bromberger <jeb@debian.org>  Wed,  3 Jul 2003 23:49:44 +0100

=== debian/control ===
Source: i810switch
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: James Bromberger <jeb@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://juljas.net/vaio

Package: i810switch
Architecture: i386 kfreebsd-i386 amd64 hurd-i386 kfreebsd-amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, pciutils (>= 1:2.1.11-6)
Description: Enables/disables video output to CRT/LCD on i810 video hardware
 i810switch enables/disables the output to the CRT display and LCD,
 depending on the i810 graphics controller hardware. Such hardware is found
 on some laptops (eg, Sony Vaios, some Dell models, etc). Chipsets also 
 supported include i855, i830, i845.
 .
 This package includes the i810rotate script, which toggles the output
 between three states: LCD only, LCD + CRT, and CRT only.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CFLAGS_MAINT_APPEND = -Wall
# Upstream does not support xxFLAGS, so get them explicitly
DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CFLAGS_MAINT_APPEND += $(shell dpkg-buildflags --get LDFLAGS)
DEB_CFLAGS_MAINT_APPEND += -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	dh_auto_build
	#/usr/bin/docbook-to-man debian/i810switch.sgml > i810switch.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp \
		i810switch *.o

	# Add here commands to clean up after the build process.
	dh_auto_clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/i810switch.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/i810switch


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X usr/bin/i810switch
	install -m644 -D debian/lintian-override $(CURDIR)/debian/i810switch/usr/share/lintian/overrides/i810switch
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
